summaryrefslogtreecommitdiff
path: root/Microbenchmarks/STREAM/run.sh
diff options
context:
space:
mode:
authorBirte Kristina Friesel <birte.friesel@uos.de>2023-11-27 16:39:49 +0100
committerBirte Kristina Friesel <birte.friesel@uos.de>2023-11-27 16:39:49 +0100
commitfb3a54194847c121a6a0264e09826dcad31caae5 (patch)
tree9cb6043fca961447249941bff1a8493df79a305b /Microbenchmarks/STREAM/run.sh
parent75285b31e024f7fe3b87bca8de4b761cd7df3aa7 (diff)
STREAM: Add alloc/load overhead, n_ranks, and n_elements
Diffstat (limited to 'Microbenchmarks/STREAM/run.sh')
-rwxr-xr-xMicrobenchmarks/STREAM/run.sh20
1 files changed, 12 insertions, 8 deletions
diff --git a/Microbenchmarks/STREAM/run.sh b/Microbenchmarks/STREAM/run.sh
index 94b759b..778efa8 100755
--- a/Microbenchmarks/STREAM/run.sh
+++ b/Microbenchmarks/STREAM/run.sh
@@ -9,22 +9,26 @@ set -e
# -i: input size (number of elements, not number of bytes!)
# 2097152 B -> 2M is maximum for 64bit types (due to 16M per DPU)
+(
+
echo "prim-benchmarks STREAM microbenchmark (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-for nr_dpus in 1 2 4 8 16 32 64 128 256 512; do
- for mem in MRAM WRAM; do
- for op in copy copyw add scale triad; do
- for nr_tasklets in 1 2 3 4 6 8 10 12 16 20 24; do
- for dt in uint8_t uint16_t uint32_t uint64_t float double; do
+for i in 4096 16384 131072 1048576 2097152; do
+ for nr_dpus in 1 4 8 16 32 64 128 256 512 768 1024 1536 2048 2304 2542; do
+ for nr_tasklets in 8 12 16; do
+ for dt in uint8_t uint16_t uint32_t uint64_t float double; do
+ for op in copy copyw add scale triad; do
echo
- if make -B MEM=${mem} OP=${op} NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 T=${dt} UNROLL=1 \
- || make -B MEM=${mem} OP=${op} NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 T=${dt} UNROLL=0; then
- timeout -k 1m 30m bin/host_code -w 0 -e 20 -i 2097152 || true
+ if make -B OP=${op} NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 T=${dt} UNROLL=1 WITH_ALLOC_OVERHEAD=1 WITH_LOAD_OVERHEAD=1 WITH_FREE_OVERHEAD=1 \
+ || make -B OP=${op} NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 T=${dt} UNROLL=0 WITH_ALLOC_OVERHEAD=1 WITH_LOAD_OVERHEAD=1 WITH_FREE_OVERHEAD=1; then
+ timeout --foreground -k 1m 30m bin/host_code -w 0 -e 40 -i $i || true
fi
done
done
done
done
done
+echo "Completed at $(date)"
+) | tee "log-$(hostname)-ndpus.txt"